ur_rna.StructureEditor.models

## Class NucStyle

- java.lang.Object
- - ur_rna.StructureEditor.models.NucStyle

- All Implemented Interfaces:
    java.lang.Cloneable

      public class NucStyle
      extends java.lang.Object
      implements java.lang.Cloneable

  Contains formatting information, which affects how nucleotides are drawn.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.awt.Color` | `bondColor`
    `java.awt.Color` | `fillColor`
    `java.awt.Font` | `font`
    `java.awt.Color` | `outlineColor`
    `java.awt.Color` | `textColor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NucStyle()`
    `NucStyle(java.awt.Color fillColor, java.awt.Color textColor, java.awt.Color outlineColor, java.awt.Color bondColor, java.awt.Font font)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected NucStyle` | `clone()`
    `void` | `copyTo(NucStyle s)`
    `boolean` | `isEmpty()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bondColor

          public java.awt.Color bondColor

    - #### fillColor

          public java.awt.Color fillColor

    - #### font

          public java.awt.Font font

    - #### outlineColor

          public java.awt.Color outlineColor

    - #### textColor

          public java.awt.Color textColor

  - ### Constructor Detail

    - #### NucStyle

          public NucStyle()

    - #### NucStyle

          public NucStyle(java.awt.Color fillColor,
                          java.awt.Color textColor,
                          java.awt.Color outlineColor,
                          java.awt.Color bondColor,
                          java.awt.Font font)

  - ### Method Detail

    - #### clone

          protected NucStyle clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### copyTo

          public void copyTo(NucStyle s)

    - #### isEmpty

          public boolean isEmpty()